Bug 591051 - Evince cannot be opened in preview mode
Evince cannot be opened in preview mode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evince (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Kašík
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 06:20 EDT by Vladimir Benes
Modified: 2010-07-02 15:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: evince-2.28.2-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:04:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evince window after --preview option used (18.68 KB, image/png)
2010-05-11 06:55 EDT, Vladimir Benes
no flags Details
relative path patch (561 bytes, patch)
2010-05-12 08:30 EDT, Marek Kašík
no flags Details | Diff

  None (edit)
Description Vladimir Benes 2010-05-11 06:20:48 EDT
Description of problem:
If I run evince with --preview option from command line I see this error:
evince-previewer:3193): EvinceDocument-CRITICAL **: ev_document_factory_get_document: assertion `uri != NULL' failed

** (evince-previewer:3193): CRITICAL **: ev_previewer_window_set_document: assertion `EV_IS_DOCUMENT (document)' failed

Picture of Evince attached

Version-Release number of selected component (if applicable):
evince-2.28.2-6.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.in terminal execute: evince --preview your_pdf.pdf

  
Actual results:
error in terminal and just Loading... sign in evince window

Expected results:
correct preview of pdf file

Additional info:
Comment 1 RHEL Product and Program Management 2010-05-11 06:33:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Vladimir Benes 2010-05-11 06:55:34 EDT
Created attachment 413092 [details]
evince window after --preview option used
Comment 3 Marek Kašík 2010-05-12 08:30:46 EDT
Created attachment 413413 [details]
relative path patch

Hi,

I see the problem now. The evince-previewer (evince --preview) doesn't expand gi
ven relative path to an absolute path before converting it to an URI. Attached is a small patch which fixes this.

Regards

Marek
Comment 4 Vladimir Benes 2010-05-12 12:13:20 EDT
verified on x86_64
now it shows preview correctly..
Comment 6 Vladimir Benes 2010-06-09 08:47:54 EDT
VERIFIED:
evince-2.28.2-12.el6 works as expected
Comment 7 releng-rhel@redhat.com 2010-07-02 15:04:37 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.